> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bundleup.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook

> Returns a single webhook for the authenticated workspace.



## OpenAPI

````yaml https://api.bundleup.io/v1/openapi.yml get /webhooks/{id}
openapi: 3.1.0
info:
  title: BundleUp API
  description: >-
    REST API for managing integrations, connections, and webhooks in a BundleUp
    workspace.
  version: 1.0.0
  contact:
    name: BundleUp Support
    url: https://www.bundleup.io
    email: support@bundleup.io
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.bundleup.io/v1
    description: Production API
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Integrations
    description: Integration discovery operations
  - name: Connections
    description: Connection management operations
  - name: Webhooks
    description: Webhook management operations
paths:
  /webhooks/{id}:
    get:
      tags:
        - Webhooks
      summary: Get webhook
      description: Returns a single webhook for the authenticated workspace.
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Webhook retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      description: Resource identifier.
      schema:
        type: string
  schemas:
    Webhook:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: Webhook identifier.
        name:
          type: string
        url:
          type: string
          format: uri
        events:
          $ref: '#/components/schemas/WebhookEvents'
        last_triggered_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - name
        - url
        - events
        - last_triggered_at
        - created_at
        - updated_at
    WebhookEvents:
      type: object
      additionalProperties: false
      properties:
        integration.created:
          type: boolean
        integration.updated:
          type: boolean
        integration.deleted:
          type: boolean
        connection.created:
          type: boolean
        connection.updated:
          type: boolean
        connection.deleted:
          type: boolean
        connection.refreshed:
          type: boolean
        connection.disabled:
          type: boolean
    ErrorResponse:
      type: object
      additionalProperties: false
      properties:
        success:
          type: boolean
          const: false
        message:
          type: string
      required:
        - success
        - message
  responses:
    Unauthorized:
      description: Missing or invalid API credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Pass the API key as a bearer token.
    basicAuth:
      type: http
      scheme: basic
      description: Pass any username and the API key as the password.

````